List Buffers
/applications/{applicationName}/databases/{databaseName}/asodataload/buffers
Lists existing aggregate storage data load buffers. An error is returned if called on a block storage database.
Request
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Response
200 Response
OK
Load buffers list returned successfully.
400 Response
Bad Request
Failed to get load buffers.
500 Response
Internal Server Error.
Examples
Aggregate storage cubes facilitate analysis of very large dimensions containing up to a million or more members. To support efficient, incremental loading of data values into such large cubes, Essbase:
-
Allows the processing of multiple data sources through temporary aggregate storage data load buffers
-
Allows you to control the percentage of resources a data load buffer uses
-
Allows an aggregate storage database to contain multiple slices of data (a query to the database accesses each slice, collecting all of the data cells)
-
Completes the incremental load process in a length of time proportional to the size of the data
To support loading data incrementally to large cubes, multiple data load buffers can be initialized on an aggregate storage cube. This REST API returns the following information about each existing data load buffer:
-
bufferId -- ID of a data load buffer (a number between 1 and 4294967296).
-
duplicateAggregationMethod -- One of the methods used to handle when multiple values for the same cell are being loaded from the data stream in the buffer:
- ADD -- Add values when the buffer contains multiple values for the same cell.
- ASSUME_EQUAL -- Stop loading if there are duplicates with unequal values.
- USE_LAST -- Combine duplicate cells by using the value of the cell that was loaded last into the load buffer. This is an optimal choice for loading text and date values, to help eliminate invalid aggregations.
-
loadBufferOptions -- How missing and zero values should be handled during the load.
- IGNORE_NONE -- Ignore neither #MISSING nor zero values in the incoming data stream. To select this option you can pass either this keyword or
0. - IGNORE_MISSING_VALUES -- Ignore #MISSING values in the incoming data stream. To select this option you can pass either this keyword or
1. - IGNORE_ZERO_VALUES -- Ignore zeros in the incoming data stream. To select this option you can pass either this keyword or
2. - IGNORE_MISSING_AND_ZERO_VALUES -- ignore zero and #MISSING values in the incoming data stream. To select this option you can pass either this keyword or
3.
- IGNORE_NONE -- Ignore neither #MISSING nor zero values in the incoming data stream. To select this option you can pass either this keyword or
-
resourceUsage -- Percentage of the total load buffer resources that the load buffer is allowed to use. Must be within [0, 100]. Default is 100, and 0 is interpreted as default.
Script with cURL Command
The following example shows how to list currently initialized aggregate storage data load buffers.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/ASOSamp/databases/Basic/asodataload/buffers" -H "accept: application/json" -u %User%:%Password%"Response Body
{
"items": [
{
"bufferId": 100,
"duplicateAggregationMethod": "ADD",
"loadBufferOptions": "IGNORE_MISSING_VALUES",
"resourceUsage": 50
},
{
"bufferId": 200,
"duplicateAggregationMethod": "ADD",
"loadBufferOptions": "IGNORE_MISSING_VALUES",
"resourceUsage": 50
}
],
"totalResults": 2
}